# Проект библиотеки для работы с Российскими автомобильными номерами

Проект библиотеки для работы с Российскими автомобильными номерами, функции реализованные в библиотеке:

- bool CheckMark(string mark) - проверяет строку, на соответствие стандартам Российских номеров автомобилей
- string GetNextMarkAfter(string mark) - генерирует следующий в последовательности автомобильный номер
- string GetNextMarkAfterInRange(string prevMark, string rangeStart, string rangeEnd) - генерирует следующий в последовательности автомобильный номер, в рамках заданных границ
- int GetCombinationsCountInRange(string mark1, string mark2) - возвращает количество номеров в заданных границах, включая границы

## Начало работы

Эти инструкции предоставят вам копию проекта и помогут запустить на вашем локальном компьютере для разработки и тестирования.
Вы можете получить экземпляр проекта следуя по одному из двух путей:
1. Клонирование GOGS репозитория
2. Скачивание архива из GOGS репозитория

### Необходимые условия

Для работы с проектом требуется: 
- Доступ к GOGS [репозиторию проекта](http://gogs.ngknn.ru:3000/Mesery/Testing_Dll_Auto)
- [Microsoft Visual Studio](https://visualstudio.microsoft.com/ru/)

### Установка

1. **Клонирование репозитория**
	- Открыть Microsoft Visual Studio
	- В стартовом меню выбрать пункт "Клонирование репозитория"
	- В появившемся окне, в поле "Расположение репозитория" необходимо скопировать ссылку на репозиторий
	- В поле "Путь" можно выбрать путь скачивания проекта или оставить его по умолчанию
	- Нажать на кнопку "Клонировать"
1. **Скачивание архива**
	- Скачать архив из GOGS репозитория, нажав на кнопку скачивания архива рядом со ссылкой на репозиторий и выбрав тип архива
	- Разархивировать скаченный архив
	- Открыть проект кликом по .sln файлу в разархивированной папке

## Авторы

* **Vorobiew Kirill** - *tester and programmer* - [Meserygamer](https://github.com/Meserygamer)
